Page MenuHomePhabricator

When moving a card on a workboard will edit a task as a side effect, show an overlay hint
Closed, ResolvedPublic

Description

Drag-and-drop operations on workboards which edit cards (e.g. in the priority view, and in the future on the assigned view) should put an overlay on the card previewing the operation.

For example, this might look like this:

  • Fade the card a bit or whatever.
  • Put [Move and reassign to @alincoln] as a tooltip/overlay.

This would make the edit behaviors more predictable, and the multiple different drag modes (T10334) more discoverable/understandable.

Event Timeline

epriestley renamed this task from When a drop on a workboard will edit a task, show an overlay hint to When moving a card on a workboard will edit a task as a side effect, show an overlay hint.Feb 12 2016, 12:02 AM
pasik added a subscriber: pasik.May 12 2018, 1:53 PM
epriestley triaged this task as Normal priority.
epriestley closed this task as Resolved.Mar 21 2019, 7:00 PM

Those changes haven't landed yet but I'm just going to tidy this up a little early, see T13074 for followups.